|  | Home · All Classes · Modules

# QTextImageFormat Class Reference
[QtGui module]

The QTextImageFormat class provides formatting information for images in a QTextDocument. More...

Inherits QTextCharFormat.

### Methods

- __init__ (self)
- __init__ (self, QTextImageFormat other)
- float height (self)
- bool isValid (self)
- QString name (self)
- setHeight (self, float aheight)
- setName (self, QString aname)
- setWidth (self, float awidth)
- float width (self)

## Detailed Description

The QTextImageFormat class provides formatting information for images in a QTextDocument.

Inline images are represented by an object replacement character (0xFFFC in Unicode) which has an associated QTextImageFormat. The image format specifies a name with setName() that is used to locate the image. The size of the rectangle that the image will occupy is specified using setWidth() and setHeight().

## Method Documentation

### QTextImageFormat.__init__ (self)

Creates a new image format object.

### QTextImageFormat.__init__ (self, QTextImageFormat other)

### float QTextImageFormat.height (self)

Returns the height of the rectangle occupied by the image.

See also width() and setHeight().

### bool QTextImageFormat.isValid (self)

Returns true if this image format is valid; otherwise returns false.

### QString QTextImageFormat.name (self)

Returns the name of the image. The name refers to an entry in the application's resources file.

See also setName().

### QTextImageFormat.setHeight (self, float aheight)

Sets the height of the rectangle occupied by the image.

See also height() and setWidth().

### QTextImageFormat.setName (self, QString aname)

Sets the name of the image. The name is used to locate the image in the application's resources.

See also name().

### QTextImageFormat.setWidth (self, float awidth)

Sets the width of the rectangle occupied by the image.

See also width() and setHeight().

### float QTextImageFormat.width (self)

Returns the width of the rectangle occupied by the image.

See also height() and setWidth().